Subject: 23.1; man.el{,c} fails to load when utf-8 mode enabled

From: "Randal L. Schwartz" <[email-masked]>
Date: Sun, 28 Mar 2010 17:35:15 -0700 (PDT)

In my .emacs, I have:

  (set-terminal-coding-system 'utf-8)
  (set-keyboard-coding-system 'utf-8)

When I invoke M-x man, I get an invalid byte when trying to load
either the man.el or the man.elc.

Workaround is to (load "man") before turning on utf-8 mode.

In GNU Emacs 23.1.1 (amd64-portbld-freebsd8.0)
 of 2010-03-28 on red.stonehenge.com
configured using `configure  '--with-x=no' '--prefix=/usr/local' '--mandir=/usr/local/man' '--infodir=/usr/local/info/' '--build=amd64-portbld-freebsd8.0' 'build_alias=amd64-portbld-freebsd8.0' 'CC=cc' 'CFLAGS=-O2 -pipe -fno-strict-aliasing''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: IRC

Minor modes in effect:
  auto-fill-function: do-auto-fill
  shell-dirtrack-mode: t
  display-time-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
o C-v C-n C-n C-n C-f C-f C-f C-x o C-h t q C-x k RET 
y C-x RET k RET q C-x RET k TAB a s c i TAB i q ESC 
x s e t - v e r RET q ESC x s e t - v a r RET d e b 
u g - o n - e r r o r RET n i l RET ESC x s e t C-g 
C-x 4 b RET ESC < C-n C-n C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-x C-e q C-x C-b C-x o C-a C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n d d d d x C-n d d d 
d x C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p d x 
C-p C-p C-p C-p C-n C-n f C-x h ESC x e v a l - b u 
f RET C-x k RET ESC x m a n RET C-g d x C-p v o k SPC 
- SPC s o l v e SPC DEL d SPC m y SPC f a c e SPC p 
r o b l e m SPC a n d SPC m y SPC M - X SPC m a DEL 
DEL DEL DEL x SPC m a n SPC p r o b l e DEL DEL l e 
m SPC a s DEL DEL h a s SPC a SPC w o r k a r o u d 
n RET C-p DEL C-p C-p C-p C-p C-p C-p C-p ESC x m a 
DEL x DEL DEL r e p o r TAB e m TAB RET

Recent messages:
Entering debugger...
Back to top level.
Entering debugger...
Back to top level.
Quit
Mark set
Loading man...
Entering debugger...
Back to top level.
Mark set [2 times]
Quit